"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectService = void 0;
const common_1 = require("@nestjs/common");
const helpers_1 = require("../../helpers");
function InjectService() {
    return (target, key) => {
        common_1.Inject(helpers_1.getServiceToken(target.constructor))(target, key);
    };
}
exports.InjectService = InjectService;
//# sourceMappingURL=inject-service.decorator.js.map