"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkQuerySortParam = void 0;
const __1 = require("..");
async function checkQuerySortParam(queryParams, entityMetadata) {
    const errors = [];
    (Object.entries(queryParams["sort" /* sort */] || {})).forEach(([name, value]) => {
        errors.push(...__1.checkEntityFieldMetadata(name, queryParams, entityMetadata, "sort" /* sort */));
    });
    return errors;
}
exports.checkQuerySortParam = checkQuerySortParam;
//# sourceMappingURL=check-query-sort-param.js.map